
Extended Fields - Bug #2127

Can't install on Redmine 2.1.4

04 Dec 2012 10:22 - Bruno Spyckerelle

Status: Won't Fix Start date: 04 Dec 2012

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Redmine version: 2.1.4 External issue:  

Description

On a fresh install of Redmine 2.1.4, I have the following error when doing 'rake redmine:plugins:migrate’ :

Invoke redmine:plugins:migrate (first_time)

Invoke environment (first_time)

Execute environment

rake aborted!

 

uninitialized constant ExtendedFieldsHelper

E:/Sites/redmine/plugins/extended-fields/init.rb:36:in `block in <top (required)>'

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:429:in

`_run__1034893199__prepare__17235430__callbacks’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in

`__run_callback’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in

`_run_prepare_callbacks’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in

`run_callbacks’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/actionpack-3.2.8/lib/action_dispatch/middleware/reloader.rb:74:in

`prepare!'

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/actionpack-3.2.8/lib/action_dispatch/middleware/reloader.rb:48:in

`prepare!'

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/application/finisher.rb:47:in `block in

<module:Finisher>'

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/initializable.rb:30:in `instance_exec’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/initializable.rb:30:in `run’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/initializable.rb:55:in `block in run_initializers’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/initializable.rb:54:in `each’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/initializable.rb:54:in `run_initializers’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/application.rb:136:in `initialize!'

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `method_missing’

E:/Sites/redmine/config/environment.rb:14:in `<top (required)>'

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/application.rb:103:in `require’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/application.rb:103:in `require_environment!'

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/railties-3.2.8/lib/rails/application.rb:295:in `block (2 levels) in

initialize_tasks’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/task.rb:227:in `call’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/task.rb:227:in `block in execute’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/task.rb:222:in `each’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/task.rb:222:in `execute’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/task.rb:166:in `block in invoke_with_call_chain’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/task.rb:159:in `invoke_with_call_chain’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/task.rb:187:in `block in invoke_prerequisites’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/task.rb:185:in `each’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/task.rb:185:in `invoke_prerequisites’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/task.rb:165:in `block in invoke_with_call_chain’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize’
E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/task.rb:159:in `invoke_with_call_chain’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/task.rb:152:in `invoke’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/application.rb:141:in `invoke_task’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/application.rb:99:in `block (2 levels) in top_level’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/application.rb:99:in `each’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/application.rb:99:in `block in top_level’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/application.rb:108:in `run_with_threads’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/application.rb:93:in `top_level’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/application.rb:71:in `block in run’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/application.rb:158:in

`standard_exception_handling’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/lib/rake/application.rb:68:in `run’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/gems/1.9.1/gems/rake-10.0.2/bin/rake:37:in `<top (required)>'

E:/Logiciels/RailsInstaller/Ruby1.9.3/bin/rake:19:in `load’

E:/Logiciels/RailsInstaller/Ruby1.9.3/bin/rake:19:in `<main>'

Tasks: TOP ⇒ redmine:plugins:migrate ⇒ environment

Environment used :

Environment:

Redmine version                          2.1.4.stable

Ruby version                             1.9.3 (i386-mingw32)

Rails version                            3.2.8

Environment                              production

Database adapter                         SQLite

History

#1 - 06 Dec 2012 12:14 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

- Target version set to 0.2.1

#2 - 07 Dec 2012 01:53 - Andriy Lesyuk

Please try adding:

require_dependency 'extended_fields_helper'

below:

require_dependency 'extended_fields_hook'

in init.rb

#3 - 07 Dec 2012 01:55 - Andriy Lesyuk

Maybe also try moving extended_fields_helper.rb from app/helpers into lib...

That’s not usual issue – I doubt other users experience it. I think it’s due to environment (e.g., mingw32).

#4 - 07 Dec 2012 01:55 - Andriy Lesyuk

- Status changed from Open to In Progress

#5 - 07 Dec 2012 13:05 - Bruno Spyckerelle

I added require_dependency 'extended_fields_helper’ in init.rb and moved extended_fields_helper.rb from app/helpers into lib.

And ... it seems to work except that I now have the following error :

Started GET "/plugin_assets/extended_fields/stylesheets/extended_fields.css” for 127.0.0.1 at 2012-12-07 14:04:10 +0100

ActionController::RoutingError (No route matches [GET] "/plugin_assets/extended_fields/stylesheets/extended_fields.css”):

actionpack (3.2.8) lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'
actionpack (3.2.8) lib/action_dispatch/middleware/show_exceptions.rb:56:in `call’

railties (3.2.8) lib/rails/rack/logger.rb:26:in `call_app’

railties (3.2.8) lib/rails/rack/logger.rb:16:in `call’

actionpack (3.2.8) lib/action_dispatch/middleware/request_id.rb:22:in `call’

rack (1.4.1) lib/rack/methodoverride.rb:21:in `call’

rack (1.4.1) lib/rack/runtime.rb:17:in `call’

activesupport (3.2.8) lib/active_support/cache/strategy/local_cache.rb:72:in `call’

rack (1.4.1) lib/rack/lock.rb:15:in `call’

actionpack (3.2.8) lib/action_dispatch/middleware/static.rb:62:in `call’

rack-cache (1.2) lib/rack/cache/context.rb:136:in `forward’

rack-cache (1.2) lib/rack/cache/context.rb:245:in `fetch’

rack-cache (1.2) lib/rack/cache/context.rb:185:in `lookup’

rack-cache (1.2) lib/rack/cache/context.rb:66:in `call!'

rack-cache (1.2) lib/rack/cache/context.rb:51:in `call’

railties (3.2.8) lib/rails/engine.rb:479:in `call’

railties (3.2.8) lib/rails/application.rb:223:in `call’

rack (1.4.1) lib/rack/content_length.rb:14:in `call’

railties (3.2.8) lib/rails/rack/log_tailer.rb:17:in `call’

rack (1.4.1) lib/rack/handler/webrick.rb:59:in `service’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/1.9.1/webrick/httpserver.rb:138:in `service’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/1.9.1/webrick/httpserver.rb:94:in `run’

E:/Logiciels/RailsInstaller/Ruby1.9.3/lib/ruby/1.9.1/webrick/server.rb:191:in `block in start_thread'   

And take into account that I’m still facing the bug #2123, so my tests are quite limited.

#6 - 07 Dec 2012 14:45 - Andriy Lesyuk

As I have already mentioned I believe it’s something specific for your environment (maybe #2123 as well)... CSS files normally should not give routing

errors.

See: http://stackoverflow.com/questions/7829480/no-route-matches-get-assets (please try this solution)

#7 - 07 Dec 2012 16:37 - Bruno Spyckerelle

Thanks, I’ll look your url.

As for #2123, I reproduced it on a Debian running Apache.

#8 - 07 Dec 2012 17:02 - Bruno Spyckerelle

You were right, it is linked my environment, I solved this issue.

Thanks !

#9 - 07 Dec 2012 17:26 - Andriy Lesyuk

- Status changed from In Progress to Won't Fix

19 Apr 2025 3/4

http://projects.andriylesyuk.com/issues/2123
http://projects.andriylesyuk.com/issues/2123
http://stackoverflow.com/questions/7829480/no-route-matches-get-assets
http://projects.andriylesyuk.com/issues/2123


Cool

#10 - 27 Jan 2013 23:17 - Andriy Lesyuk

- Target version deleted (0.2.1)
